summaryrefslogtreecommitdiff
path: root/dev-python/github3-py
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-17 13:23:51 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-17 13:23:51 +0000
commit9505caeec7f7ad9c7954588e19aef5e8ce5d4058 (patch)
treeb1a9adb48b51ca2ad1d12eb308e932e5da3df106 /dev-python/github3-py
parentb20430a929939ff90b7fdc6fdd22c6aa8b73a315 (diff)
downloadbaldeagleos-repo-9505caeec7f7ad9c7954588e19aef5e8ce5d4058.tar.gz
baldeagleos-repo-9505caeec7f7ad9c7954588e19aef5e8ce5d4058.tar.xz
baldeagleos-repo-9505caeec7f7ad9c7954588e19aef5e8ce5d4058.zip
Adding metadata
Diffstat (limited to 'dev-python/github3-py')
-rw-r--r--dev-python/github3-py/Manifest1
-rw-r--r--dev-python/github3-py/github3-py-3.2.0.ebuild50
-rw-r--r--dev-python/github3-py/metadata.xml17
3 files changed, 68 insertions, 0 deletions
diff --git a/dev-python/github3-py/Manifest b/dev-python/github3-py/Manifest
new file mode 100644
index 000000000000..47e7127271fb
--- /dev/null
+++ b/dev-python/github3-py/Manifest
@@ -0,0 +1 @@
+DIST github3.py-3.2.0.gh.tar.gz 35522134 BLAKE2B ef263dc7e97bb7acccddc538cf812abc8554395865832ac993fbd7f965fd008607d0a682b35be5bdfc1b46618dcb3391e924f57d841a30ab732df9b3c76774b3 SHA512 2b15524df9289d2139178b4a92914458276cf347ff7e41c55eb6b7b9ad705ced4a9f64eb025aa9334a38611b87147a8ed118a6958a9924f75ad272fc868d196f
diff --git a/dev-python/github3-py/github3-py-3.2.0.ebuild b/dev-python/github3-py/github3-py-3.2.0.ebuild
new file mode 100644
index 000000000000..1c21471d7f7c
--- /dev/null
+++ b/dev-python/github3-py/github3-py-3.2.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=github3.py-${PV}
+DESCRIPTION="A wrapper for the GitHub API written in python"
+HOMEPAGE="
+ https://github.com/sigmavirus24/github3.py/
+ https://pypi.org/project/github3.py/
+"
+SRC_URI="
+ https://github.com/sigmavirus24/github3.py/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyjwt-2.3.0[${PYTHON_USEDEP}]
+"
+# via PyJWT[crypto]
+RDEPEND+="
+ >=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/betamax-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/betamax-matchers-0.1.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' tox.ini || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/github3-py/metadata.xml b/dev-python/github3-py/metadata.xml
new file mode 100644
index 000000000000..361fab0728ef
--- /dev/null
+++ b/dev-python/github3-py/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <maintainer type="person">
+ <email>nicolasbock@gentoo.org</email>
+ </maintainer>
+ <longdescription lang="en">
+ github3.py is wrapper for the GitHub API written in python. The design
+ of github3.py is centered around having a logical organization of the
+ methods needed to interact with the API.
+ </longdescription>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file